# os-traits

os-traits is a library containing standardized trait strings.

Traits are strings that represent a feature of some resource provider. This library contains the catalog of constants that have been standardized in the OpenStack community to refer to a particular hardware, virtualization, storage, network, or device trait.

## Installation Guide

- Installation

## Usage Guide

- Usage

## Contributor Guide

- Contributing
  - Trait lifecycle policy
  - Generic instructions for contributing

## Reference

- Reference
  - CUDA
  - AMD SEV
- Available Traits

this page last updated: 2026-03-26 16:43:29

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug